<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Catatan extends Model
{
    use HasFactory;

    protected $table = 'Catatan';

    protected $primaryKey = 'CatatanId';


    // Atribut yang dapat diisi secara massal
    protected $fillable = [
        'PelaporanId',
        'RefPelaporanId',
        'IsiCatatan',
        'Evaluasi',
    ];

    /**
     * Relasi ke model Pelaporan.
     */
    public function pelaporan()
    {
        return $this->belongsTo(Pelaporan::class, 'PelaporanId', 'PelaporanId');
    }

    /**
     * Relasi ke model RefPelaporan.
     */
    public function refPelaporan()
    {
        return $this->belongsTo(RefPelaporan::class, 'RefPelaporanId', 'RefPelaporanId');
    }
}
