<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Evaluasi extends Model
{
    use HasFactory;

    protected $table = 'Evaluasi';

    protected $primaryKey = 'EvaluasiId';

    // Atribut yang dapat diisi secara massal
    protected $fillable = [
        'PelaporanId',
        'DokumenEval',
        'TipeDokumen',
        'Email',
        'TanggalKirim',
        'Oleh',
    ];

    /**
     * Relasi ke model Pelaporan.
     */
    public function pelaporan()
    {
        return $this->belongsTo(Pelaporan::class, 'PelaporanId', 'PelaporanId');
    }
}
