<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class HasilUjiBS extends Model
{
    use HasFactory;

    protected $table = 'HasilUjiBS';

    protected $primaryKey = 'HasilUjiBSId';
    protected $fillable = [
        'PelaporanId',
        'RefLokasiId',
        'Nama',
        'Lintang',
        'Bujur',
        'BakuMutuJenis',
        'BakuMutuNilai1',
        'BakuMutuNilai2',
        'HasilUji',
    ];

    /**
     * Relasi ke model Pelaporan.
     */
    public function pelaporan()
    {
        return $this->belongsTo(Pelaporan::class, 'PelaporanId', 'PelaporanId');
    }

    /**
     * Relasi ke model Lokasi.
     */
    public function lokasi()
    {
        return $this->belongsTo(Lokasi::class, 'LokasiId', 'LokasiId');
    }
}
