<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class HasilUjiUA extends Model
{
    use HasFactory;

    protected $table = 'HasilUjiUA';

    // Primary key tabel
    protected $primaryKey = 'HasilUjiUAId';
    protected $fillable = [
        'PelaporanId',
        'LokasiId',
        'Nama',
        'Lintang',
        'Bujur',
    ];

    /**
     * Relasi ke model Pelaporan.
     */
    public function pelaporan()
    {
        return $this->belongsTo(Pelaporan::class, 'PelaporanId', 'PelaporanId');
    }

    /**
     * Relasi ke model Lokasi.
     */
    public function lokasi()
    {
        return $this->belongsTo(Lokasi::class, 'LokasiId', 'LokasiId');
    }
}
