<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Ipal extends Model
{
    use HasFactory;

    protected $table = 'Ipal';

    protected $primaryKey = 'IpalId';

    protected $fillable = [
        'PelaporanId',
        'RefIpalId',
        'Nomor',
        'Nama',
        'Lampiran',
        'IzinTerbit',
        'IzinHabis',
        'Sumber',
        'Kapasitas',
        'Teknologi',
        'BadanAir',
        'DebitMaksimum',
        'Lintang',
        'Bujur',
    ];

    /**
     * Relasi ke model Pelaporan.
     */
    public function pelaporan()
    {
        return $this->belongsTo(Pelaporan::class, 'PelaporanId', 'PelaporanId');
    }

    /**
     * Relasi ke model RefIpal.
     */
    public function refIpal()
    {
        return $this->belongsTo(RefIpal::class, 'RefIpalId', 'RefIpalId');
    }

    /**
     * Relasi ke model IpalParameter.
     */
    public function ipalParameters()
    {
        return $this->hasMany(IpalParameter::class, 'IpalId', 'IpalId');
    }
}
