<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class IpalParameter extends Model
{
    use HasFactory;

    protected $table = 'IpalParameter';

    protected $primaryKey = 'IpalParameterId';

    protected $fillable = [
        'IpalId',
        'RefIpalParameterId',
        'Nama',
        'Satuan',
        'BakuMutuJenis',
        'BakuMutuNilai1',
        'BakuMutuNilai2',
        'BatasEmisi',
    ];

    /**
     * Relasi ke model Ipal.
     */
    public function ipal()
    {
        return $this->belongsTo(Ipal::class, 'IpalId', 'IpalId');
    }

    /**
     * Relasi ke model RefIpalParameter.
     */
    public function refIpalParameter()
    {
        return $this->belongsTo(RefIpalParameter::class, 'RefIpalParameterId', 'RefIpalParameterId');
    }
}
