<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Komponen extends Model
{
    use HasFactory;

    protected $table = 'Komponen';

    protected $primaryKey = 'KomponenId';


    // Atribut yang dapat diisi secara massal
    protected $fillable = [
        'RefPelaporanId',
        'JenisKomponenId',
        'GroupHasilId',
        'Kode',
        'Nama',
        'Lampiran',
        'Info',
        'Bobot',
    ];

    /**
     * Relasi ke model RefPelaporan.
     */
    public function refPelaporan()
    {
        return $this->belongsTo(RefPelaporan::class, 'RefPelaporanId', 'RefPelaporanId');
    }

    /**
     * Relasi ke model JenisKomponen.
     */
    public function jenisKomponen()
    {
        return $this->belongsTo(JenisKomponen::class, 'JenisKomponenId', 'JenisKomponenId');
    }

    /**
     * Relasi ke model GroupHasil.
     */
    public function groupHasil()
    {
        return $this->belongsTo(GroupHasil::class, 'GroupHasilId', 'GroupHasilId');
    }
}
