<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class LampiranAL extends Model
{
    use HasFactory;

    protected $table = 'LampiranAL';

    // Primary key tabel
    protected $primaryKey = 'LampiranALId';

    protected $fillable = [
        'IpalId',
        'Tahun',
        'PerusahaanId',
        'Bulan',
        'Dokumen',
        'TanggalUnggah',
    ];

    /**
     * Relasi ke model Ipal.
     */
    public function ipal()
    {
        return $this->belongsTo(Ipal::class, 'IpalId', 'IpalId');
    }

    /**
     * Relasi ke model Perusahaan.
     */
    public function perusahaan()
    {
        return $this->belongsTo(Perusahaan::class, 'PerusahaanId', 'PerusahaanId');
    }
}
