<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Lokasi extends Model
{
    use HasFactory;

    protected $table = 'Lokasi';

    protected $primaryKey = 'LokasiId';

    public $timestamps = false;

    // Atribut yang dapat diisi secara massal
    protected $fillable = [
        'PerusahaanId',
        'Nama',
        'Lintang',
        'Bujur',
        'Tipe',
        'BakuMutuJenis',
        'BakuMutuNilai1',
        'BakuMutuNilai2',
        'Del',
    ];

    /**
     * Relasi ke model Perusahaan.
     */
    public function perusahaan()
    {
        return $this->belongsTo(Perusahaan::class, 'PerusahaanId', 'PerusahaanId');
    }
}
