<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class NilaiKomponen extends Model
{
    use HasFactory;

    // Nama tabel yang digunakan
    protected $table = 'NilaiKomponen';

    protected $primaryKey = 'NilaiKomponenId';
    protected $fillable = [
        'PelaporanId',
        'KomponenId',
        'HasilId',
        'Nilai',
        'Verifikasi',
        'TanggalVerifikasi',
        'Catatan',
        'Keterangan',
        'Verifikator',
        'IpalId',
        'CerobongId',
    ];

    /**
     * Relasi ke model Pelaporan.
     */
    public function pelaporan()
    {
        return $this->belongsTo(Pelaporan::class, 'PelaporanId', 'PelaporanId');
    }

    /**
     * Relasi ke model Komponen.
     */
    public function komponen()
    {
        return $this->belongsTo(Komponen::class, 'KomponenId', 'KomponenId');
    }

    /**
     * Relasi ke model Hasil.
     */
    public function hasil()
    {
        return $this->belongsTo(Hasil::class, 'HasilId', 'HasilId');
    }

    /**
     * Relasi ke model Ipal.
     */
    public function ipal()
    {
        return $this->belongsTo(Ipal::class, 'IpalId', 'IpalId');
    }

    /**
     * Relasi ke model Cerobong.
     */
    public function cerobong()
    {
        return $this->belongsTo(Cerobong::class, 'CerobongId', 'CerobongId');
    }
}
