<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class RefCerobong extends Model
{
    use HasFactory;

    protected $table = 'RefCerobong';
    protected $primaryKey = 'RefCerobongId';

    protected $fillable = [
        'PerusahaanId',
        'Kode',
        'Nama',
        'SumberEmisi',
        'JenisBahanBakar',
        'Konsumsi',
        'Bentuk',
        'Tinggi',
        'Diameter',
        'Posisi',
        'JenisPengendali',
        'JamOperasional',
        'Del',
        'Kapasitas',
        'SatuanKapasitas',
        'Lintang',
        'Bujur',
    ];

    /**
     * Relasi ke model Perusahaan.
     */
    public function perusahaan()
    {
        return $this->belongsTo(Perusahaan::class, 'PerusahaanId', 'PerusahaanId');
    }
}
