<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('HistoryPerusahaan', function (Blueprint $table) {
            $table->id('HistoryPerusahaanId');
            $table->unsignedInteger('PerusahaanId');
            $table->unsignedInteger('RefHistoryKegiatanId');
            $table->date('TanggalHistory')->comment('tanggal surat');
            $table->string('NomorHistory', 100)->nullable()->comment('nomor surat');
            $table->text('KeteranganHistory')->nullable();
            $table->string('DokumenHistory', 255);
            $table->timestamps();

            $table->foreign('PerusahaanId')->references('PerusahaanId')->on('Perusahaan')->onDelete('set null');
            $table->foreign('RefHistoryKegiatanId')->references('RefHistoryKegiatanId')->on('RefHistoryKegiatan')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('HistoryPerusahaan');
    }
};
