<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('PetugasTps', function (Blueprint $table) {
            $table->id('PetugasTpsId');
            $table->unsignedBigInteger('PerusahaanId');
            $table->foreign('PerusahaanId')
            ->references('PerusahaanId')
            ->on('Perusahaan')
            ->onDelete('cascade');
            $table->string('NamaPetugas', 255);
            $table->tinyInteger('IsDeleted');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('PetugasTps', function (Blueprint $table) {
            // Menghapus foreign key terlebih dahulu sebelum menghapus tabel
            $table->dropForeign(['PerusahaanId']);
        });
        Schema::dropIfExists('PetugasTps');
    }
};
