<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('SumberSampah', function (Blueprint $table) {
            $table->id('SumberSampahId');
            $table->unsignedInteger('PerusahaanId');
            $table->string('NamaSumber', 255)->nullable()->comment('nama dan lokasi/sumber sampah');
            $table->tinyInteger('IsDeleted');

            $table->foreign('PerusahaanId')
                  ->references('PerusahaanId')
                  ->on('Perusahaan')
                  ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('SumberSampah', function (Blueprint $table) {
            $table->dropForeign(['PerusahaanId']);
        });
        Schema::dropIfExists('SumberSampah');
    }
};
