<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('UdaraAmbienBakuMutu', function (Blueprint $table) {
            $table->increments('UdaraAmbienBakuMutuId');
            $table->unsignedInteger('UdaraAmbienParameterId')->nullable();
            $table->string('WaktuPengukuran', 25)->nullable();
            $table->decimal('NilaiBaku', 8, 2)->nullable()->comment('max value: 999.999,99');
            $table->string('Satuan', 25)->nullable();
            $table->tinyInteger('SistemPengukuran')->unsigned()->default(1)->comment('1=Aktif Kontinu, 2=Aktif Manual');

            $table->foreign('UdaraAmbienParameterId')
                  ->references('UdaraAmbienParameterId')
                  ->on('UdaraAmbienParameter')
                  ->onDelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('UdaraAmbienBakuMutu', function (Blueprint $table) {
            $table->dropForeign(['UdaraAmbienParameterId']);
        });
        Schema::dropIfExists('UdaraAmbienBakuMutu');
    }
};
