<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ChoicesLP', function (Blueprint $table) {
            $table->id('ChoicesLPId');
            $table->unsignedInteger('KomponenId')->nullable()->comment('id dari komponen');
            $table->string('Nama', 100)->nullable();

            // Menambahkan foreign key untuk relasi dengan tabel Komponen
            $table->foreign('KomponenId')
                  ->references('KomponenId')
                  ->on('Komponen')
                  ->onDelete('cascade');
            $table->timestamps();
        });

    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('ChoicesLP', function (Blueprint $table) {
            $table->dropForeign(['KomponenId']);
        });
        Schema::dropIfExists('ChoicesLP');
    }
};
