<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('TandaTerima', function (Blueprint $table) {
            $table->id('TandaTerimaId');
            $table->unsignedInteger('PelaporanId');
            $table->string('Dokumen', 255)->nullable();
            $table->string('Email', 255)->nullable();
            $table->dateTime('TanggalKirim')->nullable();
            $table->integer('Oleh')->nullable();
            $table->enum('Del', ['y', 'n'])->default('n');
            $table->string('Parameter', 100)->nullable();

            // Membuat index untuk kolom PelaporanId
            $table->index('PelaporanId', 'Indexing_PelaporanId');

            // Menambahkan foreign key untuk relasi dengan tabel Pelaporan
            $table->foreign('PelaporanId')
                  ->references('PelaporanId')
                  ->on('Pelaporan')
                  ->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('TandaTerima', function (Blueprint $table) {
            $table->dropForeign(['PelaporanId']);
        });
        Schema::dropIfExists('TandaTerima');
    }
};
