<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('RefCerobongParameter', function (Blueprint $table) {
            $table->increments('RefCerobongParameterId');
            $table->unsignedInteger('RefCerobongId');
            $table->string('Nama', 255)->nullable();
            $table->string('Satuan', 255)->nullable();
            $table->enum('BakuMutuJenis', ['Angka Tunggal', 'Rentang Angka', 'Positif/Negatif', 'Tanpa Baku Mutu']);
            $table->string('BakuMutuNilai1', 45);
            $table->string('BakuMutuNilai2', 45)->nullable();
            $table->enum('Del', ['y', 'n']);

            $table->index('RefCerobongId', 'Index_RefCerobongId');

            $table->foreign('RefCerobongId')
                  ->references('RefCerobongId')
                  ->on('RefCerobong')
                  ->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('RefCerobongParameter', function (Blueprint $table) {
            $table->dropForeign(['RefCerobongId']);
        });
        Schema::dropIfExists('RefCerobongParameter');
    }
};
