<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('CerobongParameter', function (Blueprint $table) {
            $table->id('CerobongParameterId');
            $table->unsignedInteger('CerobongId');
            $table->unsignedInteger('RefCerobongParameterId');
            $table->string('Nama', 255)->nullable();
            $table->string('Satuan', 255)->nullable();
            $table->enum('BakuMutuJenis', ['Angka Tunggal', 'Rentang Angka', 'Positif/Negatif', 'Tanpa Baku Mutu']);
            $table->string('BakuMutuNilai1', 45);
            $table->string('BakuMutuNilai2', 45)->nullable();
            $table->enum('Del', ['y', 'n']);

            $table->index('CerobongId', 'Index_CerobongId');
            $table->index('RefCerobongParameterId', 'Index_RefCerobongParameterId');

            $table->foreign('CerobongId')
                  ->references('CerobongId')
                  ->on('Cerobong')
                  ->onDelete('cascade');

            $table->foreign('RefCerobongParameterId')
                  ->references('RefCerobongParameterId')
                  ->on('RefCerobongParameter')
                  ->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('CerobongParameter', function (Blueprint $table) {
            $table->dropForeign(['CerobongId']);
            $table->dropForeign(['RefCerobongParameterId']);
        });
        Schema::dropIfExists('CerobongParameter');
    }
};
