<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('GroupPerusahaan', function (Blueprint $table) {
            $table->id('GroupPerusahaanId');
            // Kolom UserId merujuk pada id di tabel users
            $table->unsignedInteger('UserId');
            // Kolom PermissionId merujuk pada id di tabel permissions
            $table->unsignedInteger('PerusahaanId');

            // Menambahkan foreign key untuk relasi ke tabel users
            $table->foreign('UserId')
                  ->references('id')
                  ->on('users')
                  ->onDelete('cascade');

                  $table->foreign('PerusahaanId')
                  ->references('PerusahaanId')
                  ->on('Perusahaan')
                  ->onDelete('cascade');



                  $table->timestamps();
        });

    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('GroupPerusahaan', function (Blueprint $table) {
            $table->dropForeign(['UserId']);
            $table->dropForeign(['PerusahaanId']);
        });
        Schema::dropIfExists('GroupPerusahaan');
    }
};
