<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('Spl_AL', function (Blueprint $table) {
            $table->id('Spl_AL_Id');
            $table->unsignedInteger('PelaporanId');
            $table->float('Diuji')->nullable();
            $table->float('Melebihi')->nullable();
            $table->float('NilaiSpl')->nullable();

            $table->index('PelaporanId', 'IndexSPLAL_PelaporanId');

            $table->foreign('PelaporanId')
                  ->references('PelaporanId')
                  ->on('Pelaporan')
                  ->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('Spl_AL', function (Blueprint $table) {
            $table->dropForeign(['PelaporanId']);
        });
        Schema::dropIfExists('Spl_AL');
    }
};
