<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('Spl_KDM', function (Blueprint $table) {
            $table->id('Spl_KDM_Id');
            $table->unsignedInteger('PelaporanId');
            $table->float('Iya')->nullable();
            $table->float('Jumlah')->nullable();
            $table->float('NilaiSpl')->nullable();

            $table->index('PelaporanId', 'IndexSPLKDM_PelaporanId');

            $table->foreign('PelaporanId')
                  ->references('PelaporanId')
                  ->on('Pelaporan')
                  ->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('Spl_KDM', function (Blueprint $table) {
            $table->dropForeign(['PelaporanId']);
        });
        Schema::dropIfExists('Spl_KDM');
    }
};
