<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('Spl_LB3', function (Blueprint $table) {
            $table->id('Spl_LB3_Id');
            $table->unsignedInteger('PelaporanId');
            $table->float('Timbulan');
            $table->float('Perlakukan');
            $table->float('Residu');
            $table->float('BelumTerkelola');
            $table->float('Sisa');
            $table->string('Kinerja', 45);
            $table->float('NilaiSpl');
            $table->tinyInteger('Status')->unsigned()->default(1)
                  ->comment('1=Ada Pengelolaan, 2=Tidak ada Pengelolaan, 3=Tidak ada Limbah');

            $table->index('PelaporanId', 'IndexSPLLB3_PelaporanId');

            $table->foreign('PelaporanId')
                  ->references('PelaporanId')
                  ->on('Pelaporan')
                  ->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('Spl_LB3', function (Blueprint $table) {
            $table->dropForeign(['PelaporanId']);
        });
        Schema::dropIfExists('Spl_LB3');
    }
};
