<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('Spl_LP', function (Blueprint $table) {
            $table->id('Spl_LP_Id');
            $table->unsignedInteger('PelaporanId');
            $table->float('Timbulan');
            $table->float('Diangkut');
            $table->float('Pengolahan')->nullable();
            $table->float('NilaiSpl');

            $table->index('PelaporanId', 'IndexSPLLP_PelaporanId');

            $table->foreign('PelaporanId')
                  ->references('PelaporanId')
                  ->on('Pelaporan')
                  ->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('Spl_LP', function (Blueprint $table) {
            $table->dropForeign(['PelaporanId']);
        });
        Schema::dropIfExists('Spl_LP');
    }
};
