<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('Spl_SB', function (Blueprint $table) {
            $table->id('Spl_SB_Id');
            $table->unsignedInteger('PelaporanId');
            $table->float('BensinJumlah');
            $table->float('BensinUji');
            $table->float('BensinLulus');
            $table->float('DieselJumlah');
            $table->float('DieselUji');
            $table->float('DieselLulus');
            $table->float('NilaiSpl');

            $table->index('PelaporanId', 'IndexSPLSB_PelaporanId');

            $table->foreign('PelaporanId')
                  ->references('PelaporanId')
                  ->on('Pelaporan')
                  ->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('Spl_SB', function (Blueprint $table) {
            $table->dropForeign(['PelaporanId']);
        });
        Schema::dropIfExists('Spl_SB');
    }
};
