<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('RefIpal', function (Blueprint $table) {
              // Definisi kolom
              $table->id('RefIpalId');
              $table->unsignedInteger('PerusahaanId');
              $table->string('NomorIpal', 100);
              $table->string('NamaIpal', 255);
              $table->string('DokumenIpal', 255);
              $table->date('IzinTerbit');
              $table->date('IzinHabis');
              $table->string('SumberLimbah', 255);
              $table->float('KapasitasIpal');
              $table->string('Teknologi', 255);
              $table->string('BadanAir', 255);
              $table->float('DebitMaksimum', 7, 2)->nullable();
              $table->double('Lintang')->nullable()->comment('lintang in decimal degree');
              $table->double('Bujur')->nullable()->comment('bujur in decimal degree');
              $table->enum('Del', ['y', 'n']);


            $table->foreign('PerusahaanId')
            ->references('PerusahaanId')
            ->on('Perusahaan')
            ->onDelete('cascade');

              $table->index('PerusahaanId', 'Index_PerusahaanId');
              $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('RefIpal', function (Blueprint $table) {
            $table->dropForeign(['PerusahaanId']);
        });
        Schema::dropIfExists('RefIpal');
    }
};
