<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('RefIpalParameter', function (Blueprint $table) {
            $table->id('RefIpalParameterId');
            $table->unsignedInteger('RefIpalId');
            $table->string('NamaParameter', 45);
            $table->string('Satuan', 255);
            $table->enum('BakuMutuJenis', ['Angka Tunggal', 'Rentang Angka', 'Positif/Negatif', 'Tanpa Baku Mutu']);
            $table->string('BakuMutuNilai1', 45);
            $table->string('BakuMutuNilai2', 45)->nullable();
            $table->float('BatasEmisi', 14, 8)->nullable();
            $table->enum('Del', ['y', 'n']);

            $table->foreign('RefIpalId')
            ->references('RefIpalId')
            ->on('RefIpal')
            ->onDelete('cascade');

            $table->index('RefIpalId', 'Index_RefIpalId');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('RefIpalParameter', function (Blueprint $table) {
            $table->dropForeign(['RefIpalId']);
        });
        Schema::dropIfExists('RefIpalParameter');
    }
};
