<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('HasilUjiAL', function (Blueprint $table) {
            $table->id('HasilUjiALId');
            $table->unsignedInteger('IpalId');
            $table->year('Tahun');
            $table->unsignedInteger('PerusahaanId');
            $table->unsignedInteger('IpalParameterId');
            $table->string('Bulan', 45);
            $table->string('Nilai', 45)->nullable();
            $table->float('Debit', 7, 2)->nullable();
            $table->float('BebanEmisi', 12, 8)->nullable();

            $table->index('IpalId', 'Index_IpalId');
            $table->index('PerusahaanId', 'index_PerusahaanId');
            $table->index('IpalParameterId', 'Index_IpalParameterId');

            $table->foreign('IpalId')
                  ->references('IpalId')
                  ->on('Ipal')
                  ->onDelete('cascade');

            $table->foreign('PerusahaanId')
                  ->references('PerusahaanId')
                  ->on('Perusahaan')
                  ->onDelete('cascade');

            $table->foreign('IpalParameterId')
                  ->references('IpalParameterId')
                  ->on('IpalParameter')
                  ->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('HasilUjiAL', function (Blueprint $table) {
            $table->dropForeign(['IpalId']);
            $table->dropForeign(['PerusahaanId']);
            $table->dropForeign(['IpalParameterId']);
        });
        Schema::dropIfExists('HasilUjiAL');
    }
};
