<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('HasilUjiKDM', function (Blueprint $table) {
            $table->id('HasilUjiKDMId');
            // Jika method year() belum tersedia, gunakan: $table->string('Tahun', 4);
            $table->year('Tahun');
            $table->unsignedInteger('PerusahaanId');
            $table->unsignedInteger('IndikatorKdmId');
            $table->string('Bulan', 255);
            $table->enum('Nilai', ['Iya', 'Tidak']);

            $table->index('PerusahaanId', 'IndexHasilUjiKDM_PerusahaanId');

            $table->foreign('IndikatorKdmId')
                  ->references('IndikatorKdmId')
                  ->on('IndikatorKdm')
                  ->onDelete('cascade');

            $table->foreign('PerusahaanId')
                  ->references('PerusahaanId')
                  ->on('Perusahaan')
                  ->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('HasilUjiKDM', function (Blueprint $table) {
            $table->dropForeign(['IndikatorKdmId']);
            $table->dropForeign(['PerusahaanId']);
        });
        Schema::dropIfExists('HasilUjiKDM');
    }
};
