<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('HasilUjiSTB', function (Blueprint $table) {
            $table->id('HasilUjiSTBId');
            $table->unsignedInteger('CerobongId');
            $table->unsignedInteger('CerobongParameterId');
            $table->year('Tahun')->nullable();
            $table->unsignedInteger('PerusahaanId');
            $table->string('Semester1', 45)->nullable();
            $table->string('Semester2', 45)->nullable();

            $table->index('CerobongId', 'IndexHasilUjiSTB_CerobongId');
            $table->index('CerobongParameterId', 'IndexHasilUjiSTB_CerobongParameterId');
            $table->index('PerusahaanId', 'IndexHasilUjiSTB_PerusahaanId');

            $table->foreign('CerobongId')
                  ->references('CerobongId')
                  ->on('Cerobong')
                  ->onDelete('cascade');

            $table->foreign('CerobongParameterId')
                  ->references('CerobongParameterId')
                  ->on('CerobongParameter')
                  ->onDelete('cascade');

            $table->foreign('PerusahaanId')
                  ->references('PerusahaanId')
                  ->on('Perusahaan')
                  ->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('HasilUjiSTB', function (Blueprint $table) {
            $table->dropForeign(['CerobongId']);
            $table->dropForeign(['CerobongParameterId']);
            $table->dropForeign(['PerusahaanId']);
        });
        Schema::dropIfExists('HasilUjiSTB');
    }
};
