<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('HasilUjiUA', function (Blueprint $table) {
            $table->id('HasilUjiUAId');
            $table->unsignedInteger('PelaporanId')->nullable();
            $table->unsignedInteger('LokasiId')->nullable();
            $table->string('Nama', 255)->nullable()->comment('nama lokasi');
            $table->double('Lintang')->nullable()->comment('lintang in decimal degree');
            $table->double('Bujur')->nullable()->comment('lintang in decimal degree');

            $table->index('PelaporanId', 'IndexHasilUjiUA_PelaporanId');
            $table->index('LokasiId', 'IndexHasilUjiUA_LokasiId');

            $table->foreign('PelaporanId')
                  ->references('PelaporanId')
                  ->on('Pelaporan')
                  ->onDelete('cascade');

            $table->foreign('LokasiId')
                  ->references('LokasiId')
                  ->on('Lokasi')
                  ->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('HasilUjiUA', function (Blueprint $table) {
            $table->dropForeign(['PelaporanId']);
            $table->dropForeign(['LokasiId']);
        });
        Schema::dropIfExists('HasilUjiUA');
    }
};
