<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('HasilUjiUAParameter', function (Blueprint $table) {
            $table->id('HasilUjiUAParameterId');
            $table->unsignedInteger('HasilUjiUAId')->nullable();
            $table->unsignedInteger('UdaraAmbienBakuMutuId')->nullable();
            $table->tinyInteger('Pengujian')->unsigned()->default(1)->comment('0=False (Tidak diuji), 1=True (Diuji)');
            $table->decimal('Nilai', 8, 2)->nullable()->comment('max value: 999.999,99');

            $table->foreign('HasilUjiUAId')
                  ->references('HasilUjiUAId')
                  ->on('HasilUjiUA')
                  ->onDelete('cascade');

            $table->foreign('UdaraAmbienBakuMutuId')
                  ->references('UdaraAmbienBakuMutuId')
                  ->on('UdaraAmbienBakuMutu')
                  ->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('HasilUjiUAParameter', function (Blueprint $table) {
            $table->dropForeign(['HasilUjiUAId']);
            $table->dropForeign(['UdaraAmbienBakuMutuId']);
        });
        Schema::dropIfExists('HasilUjiUAParameter');
    }
};
