<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('HistoryKegiatan', function (Blueprint $table) {
            $table->id('HistoryKegiatanId');
            $table->unsignedInteger('PerusahaanId');
            $table->unsignedInteger('RefHistoryKegiatanId');
            $table->date('Tanggal')->comment('tanggal surat');
            $table->string('Nomor', 100)->nullable()->comment('nomor surat');
            $table->text('Keterangan')->nullable();
            $table->string('Dokumen', 255);

            $table->foreign('PerusahaanId')
                  ->references('PerusahaanId')
                  ->on('Perusahaan')
                  ->onDelete('cascade');

            $table->foreign('RefHistoryKegiatanId')
                  ->references('RefHistoryKegiatanId')
                  ->on('RefHistoryKegiatan')
                  ->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('HistoryKegiatan', function (Blueprint $table) {
            $table->dropForeign(['PerusahaanId']);
            $table->dropForeign(['RefHistoryKegiatanId']);
        });
        Schema::dropIfExists('HistoryKegiatan');
    }
};
