<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('PelaporanDate', function (Blueprint $table) {
            $table->id('PelaporanDateId');
            $table->unsignedInteger('PelaporanId')->nullable();
            $table->unsignedInteger('RefPelaporanId');
            $table->date('ReportDate')->nullable();

            $table->foreign('PelaporanId')
                  ->references('PelaporanId')
                  ->on('Pelaporan')
                  ->onDelete('cascade');

            $table->foreign('RefPelaporanId')
                  ->references('RefPelaporanId')
                  ->on('RefPelaporan')
                  ->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('PelaporanDate', function (Blueprint $table) {
            $table->dropForeign(['PelaporanId']);
            $table->dropForeign(['RefPelaporanId']);
        });
        Schema::dropIfExists('PelaporanDate');
    }
};
