<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('LampiranAL', function (Blueprint $table) {
            $table->id('LampiranALId');
            $table->unsignedInteger('IpalId');
            $table->year('Tahun');
            $table->unsignedInteger('PerusahaanId');
            $table->string('Bulan', 45);
            $table->string('Dokumen', 255);
            $table->dateTime('TanggalUnggah');

            $table->index('IpalId', 'IndexLampiranAL_IpalId');
            $table->index('PerusahaanId', 'IndexLampiranAL_PerusahaanId');

            $table->foreign('IpalId')
                  ->references('IpalId')
                  ->on('Ipal')
                  ->onDelete('cascade');

            $table->foreign('PerusahaanId')
                  ->references('PerusahaanId')
                  ->on('Perusahaan')
                  ->onDelete('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('LampiranAL', function (Blueprint $table) {
            $table->dropForeign(['IpalId']);
            $table->dropForeign(['PerusahaanId']);
        });
        Schema::dropIfExists('LampiranAL');
    }
};
