import React from "react";
import {
    Dialog,
    DialogContent,
    DialogHeader,
    DialogTitle,
    DialogFooter,
} from "@/components/ui/dialog";
import { Button } from "@/components/ui/button";

interface DataPendukungModalProps {
    open: boolean;
    onClose: () => void;
}

const DataPendukungModal: React.FC<DataPendukungModalProps> = ({
    open,
    onClose,
}) => {
    return (
        <Dialog open={open} onOpenChange={onClose}>
            <DialogContent>
                <DialogHeader>
                    <DialogTitle>Data Pendukung</DialogTitle>
                </DialogHeader>
                <div className="my-4">
                    {/* Tempatkan form atau daftar dokumen pendukung di sini */}
                    <p>Masukkan data pendukung disini...</p>
                </div>
                <DialogFooter>
                    <Button onClick={onClose}>Tutup</Button>
                </DialogFooter>
            </DialogContent>
        </Dialog>
    );
};

export default DataPendukungModal;
